Get the payload to create new outgoing transaction
curl --request GET \
--url https://api.custody.api-zodia.io/v2/api/core/transactions/{transactionId}/intentimport requests
url = "https://api.custody.api-zodia.io/v2/api/core/transactions/{transactionId}/intent"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.custody.api-zodia.io/v2/api/core/transactions/{transactionId}/intent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request": {
"author": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"domainId": "8a0b02c3-fdd8-452e-bc6e-ef07a335ec7e"
},
"expiryAt": "2022-01-09T10:51:00Z",
"targetDomainId": "cef1a96b-aa13-443a-b4cc-e3286f2af910",
"id": "b0393b72-83e8-4809-ba89-7e63ea11a49a",
"payload": {
"id": "0d0ab26c-bb74-42af-841a-78c94c5f9453",
"accountId": "692b87f6-2c34-4a2c-8af7-040b74c7bbd0",
"parameters": {
"outputs": [
{
"destination": {
"address": "2N3oum61eFbwBvA8roU7YuR8UXnmMxr1tCE",
"type": "Address"
},
"amount": "1000",
"paysFee": false
}
],
"feeStrategy": {
"priority": "High",
"type": "Priority"
},
"maximumFee": "10000",
"type": "Bitcoin"
},
"customProperties": {
"property1": "string",
"property2": "string"
},
"type": "v0_CreateTransactionOrder",
"description": "Create an intent for tx out"
},
"customProperties": {
"property1": "string",
"property2": "string"
},
"type": "Propose",
"description": "Create an intent for tx out"
},
"signature": "MEUCIC3VIuw4pfk+BLnZrk1qklGS9phAlQFSQoAnlhw59x7cAiEAm5nq8ANlHcRNcONj5FXXl1v0EK5U8gZyQ22geFSsFL8="
}{
"timestamp": "2021-10-27T14:30:13.912Z",
"title": "Method Not Allowed",
"status": 415,
"details": [
{
"message": "Available methods : GET,POST",
"code": "ER-204"
}
]
}{
"timestamp": "2021-10-27T14:30:13.912Z",
"title": "Method Not Allowed",
"status": 415,
"details": [
{
"message": "Available methods : GET,POST",
"code": "ER-204"
}
]
}{
"timestamp": "2021-10-27T14:30:13.912Z",
"title": "Method Not Allowed",
"status": 415,
"details": [
{
"message": "Available methods : GET,POST",
"code": "ER-204"
}
]
}{
"timestamp": "2021-10-27T14:30:13.912Z",
"title": "Method Not Allowed",
"status": 415,
"details": [
{
"message": "Available methods : GET,POST",
"code": "ER-204"
}
]
}API - TRANSACTIONS - V2
Get the payload to create new outgoing transaction
GET
/
v2
/
api
/
core
/
transactions
/
{transactionId}
/
intent
Get the payload to create new outgoing transaction
Path Parameters
⌘I